Jupiter - Zadanie #1662

Zadanie # 1658 (Zamknigty): Utworzenie ekranu do przegladania historii zmian w publikacjach

Dodanie metody do wyszukiwania w historii na DocumentController

2017-04-21 11:23 - Michat Komar

Status: Zamkniety Start date: 2017-04-21
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: web Estimated time: 0.00 hour
Target version: 0.3

Developer: Jarostaw Babel Tester: Michat Komar
Description

Doda¢ metode:

@RequestMapping(method = RequestMethod.POST, path = "/history/find")
Page<ArchiveDocumentReferenceBean> findHistory(@RequestBody SearchDocumentsQuery query);

Metoda powinna konwertowa¢ SearchDocumentsQuery na ArchiveDocumentQuery, ustawia¢ history na true i current na true, a

nastepnie wota¢ archiveService.findDocuments.

W wynikach powinny by¢ ArchiveDocumentBean w statusie current, niezaleznie od tego czy majg przypisane CurrentDocument.

Associated revisions

Revision 170a1d71 - 2017-05-08 15:46 - Jarostaw Babel

refs #1662 obstuga zgdania wyszukiwania w historii

History

#1 - 2017-05-04 11:04 - Jarostaw Babel
- Status changed from Nowy to W toku

#2 - 2017-05-09 06:55 - Jarostaw Babel

- Status changed from W toku to Testowanie

#3 - 2017-05-09 06:55 - Jarostaw Babel
- Assignee changed from Jarostaw Babel to Michat Komar

#4 - 2017-05-09 09:39 - Michat Komar
- Status changed from Testowanie to Rozwigzany
- % Done changed from 0 to 100

Ok. Dziata.

#5 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety
